@echo off

if not %JAVA_HOME%x==x goto set1

echo JAVA_HOME not set
exit /B 1

:set1

set JAVA=%JAVA_HOME%\bin\java

if not %OPENJMS_HOME%x==x goto set2

rem OPENJMS_HOME environment variable not set, so default to the current dir
set OPENJMS_HOME=.

:set2

set POLICY_FILE=%OPENJMS_HOME%\config\openjms.policy

set CP=%OPENJMS_HOME%\build\testharness
set CP=%OPENJMS_HOME%\lib\@JUNIT@;%CP%
set CP=%OPENJMS_HOME%\lib\@OPENJMS@;%CP%
set CP=%CP%;%CLASSPATH%

%JAVA% -Djava.security.manager -Djava.security.policy=%POLICY_FILE% -Dopenjms.home=%OPENJMS_HOME% -classpath "%CP%" org.exolab.testharness.jms.TestHarness %*%
