/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.excalibur.naming.rmi;

import java.rmi.Remote;
import org.apache.avalon.excalibur.naming.NamingProvider;

/**
 * The underlying communication interface for remote contexts.
 *
 * @author <a href="mailto:donaldp@apache.org">Peter Donald</a>
 * @version $Revision: 1.2 $
 */
public interface RMINamingProvider
    extends NamingProvider, Remote
{
}
